com.threerings.parlor.turn.client

## Interface TurnGameController

All Known Implementing Classes:
  CardGameController

    public interface TurnGameController

Games that wish to make use of the turn game services should have their controller implement this interface and create an instance of `TurnGameControllerDelegate` which should be passed to `PlaceController.addDelegate(com.threerings.crowd.client.PlaceControllerDelegate)`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `turnDidChange(com.threerings.util.Name turnHolder)` Called when the turn changed.

### Method Detail

#### turnDidChange

    void turnDidChange(com.threerings.util.Name turnHolder)

Called when the turn changed. This indicates the start of a turn and the user interface should adjust itself accordingly (activating controls if it is our turn and deactivating them if it is not).

Parameters:
  `turnHolder` - the username of the new holder of the turn.